#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Get hostname and domain name
# 1999-06-14, Version 1.4.0 by AGX

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT="$TEMPDIR/tempscript.$$"
TEMPDATA="$TEMPDIR/tempdata.$$"
mkdir -p $TEMPMOUNT
trap 'rm -f $TEMPDATA $TEMPSCRIPT ; exit $USCITA' 0


# Set default values
if [ -f /etc/sysconfig/$PROFILE/network ]; then
    NETWORKING=YES
    HOSTNAME=localhost
    DOMAINNAME=localnet
    . /etc/sysconfig/$PROFILE/network
fi


while [ 0 ]; do

# Menu
dialog --title "Configura il nome della macchina." --menu "Per configurare \
la tua macchina e' necessario \nspecificare l'HOSTNAME ed il DOMAINNAME." \
13 60 5 \
"HOST"		"Hostname : $HOSTNAME" \
"DOMAIN"	"Domainname $DOMAINNAME" \
" " " " \
"SALVA"         "Salva le impostazioni ed esce" \
2>$TEMPDATA
REPLY=$?
if [ $REPLY = 1 -o $REPLY = 255 ]; then
  USCITA=1 ; exit 1
fi

CHOICE="`cat $TEMPDATA`"
case "$CHOICE" in

    HOST)
	dialog --title "ENTER HOSTNAME" --inputbox "" 8 40 $HOSTNAME 2> $TEMPDATA
	if [ $? = 0 ]; then
	    HOSTNAME=`cat $TEMPDATA`  
	fi
	;;
	
    DOMAIN)
	dialog --title "ENTER DOMAINNAME" --inputbox "" 8 40 $DOMAINNAME 2> $TEMPDATA
	if [ $? = 0 ]; then
	    DOMAINNAME=`cat $TEMPDATA`  
	fi
	;;
	
    SALVA)
	break
	;;
esac
done


# Writing Info
echo "Salvataggio parametri."
> /etc/sysconfig/$PROFILE/network
echo NETWORKING=YES 	    >> /etc/sysconfig/$PROFILE/network
echo HOSTNAME=$HOSTNAME     >> /etc/sysconfig/$PROFILE/network
echo DOMAINNAME=$DOMAINNAME >> /etc/sysconfig/$PROFILE/network

echo "Riconfiguro le interfacce di rete"
/usr/local/sbin/service network restart
echo -e "\nPremi INVIO per continuare ..."
read x
