#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Kbdrate - This configure your keyboard delay and rate
# Initiated by AGX in Little Italy Linux 0.350
# ` is generate with ALT+96

# This script is part of "Bad Penguin" - http://www.linux.it/~agx/
# 1999-04-27, Version 1.2.0 by AGX

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT="$TEMPDIR/tempscript.$$"
TEMPDATA="$TEMPDIR/tempdata.$$"
trap 'rm -f $TEMPDATA $TEMPSCRIPT ; exit $USCITA' 0

. /etc/sysconfig/$PROFILE/ratedelay
while [ 0 ]; do

  dialog \
    --title "Configure Keyboard Delay & Rate for $PROFILE " \
    --menu "Current Rate: $KRATE - Current Delay: $KDELAY " 14 49 7 \
    "0" "GO BACK                    " \
    " " "" \
    "1" "Set default value          " \
    "2" "Set Keyboard Rate          " \
    "3" "Set Keyboard Delay         " \
    " " "                           " 2> $TEMPDATA
  REPLY=$?
  if [ $REPLY = 1 -o $REPLY = 255 ]; then
    USCITA=1 ; exit 1
  fi
  
  # Get user choice
  CHOICE="`cat $TEMPDATA`"

  # Check user choice
  if [ "$CHOICE" = "1" ]; then
    clear
    echo KRATE=30 > /etc/sysconfig/$PROFILE/ratedelay
    echo KDELAY=250 >> /etc/sysconfig/$PROFILE/ratedelay
    sh /etc/init.d/keyboard-rate-and-delay.rc start
    sleep 1
    break
  elif [ "$CHOICE" = "2" ]; then
    clear
    echo "Insert the keyboard rate (from 2.0 to 30.0 char/sec) ? "
    read KRATE
    echo KRATE=$KRATE > /etc/sysconfig/$PROFILE/ratedelay
    echo KDELAY=$KDELAY >> /etc/sysconfig/$PROFILE/ratedelay
    sh /etc/init.d/keyboard-rate-and-delay.rc start
    sleep 1
  elif [ "$CHOICE" = "3" ]; then
    clear
    echo "Insert the keyboard delay ( 250, 500, 750 or 1000 mS ) ? "
    read KDELAY
    echo KRATE=$KRATE > /etc/sysconfig/$PROFILE/ratedelay
    echo KDELAY=$KDELAY >> /etc/sysconfig/$PROFILE/ratedelay
    sh /etc/init.d/keyboard-rate-and-delay.rc start
    sleep 1
  elif [ "$CHOICE" = "0" ]; then
    break
  fi
done
