#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Choose to be a network machine or a localhost
# 1999-04-27, Version 1.0.0 by AGX
# 1999-11-07, Version 1.6.1 by AGX : Utilizzo file temporanei standard

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT="$TEMPDIR/tempscript.$$"
TEMPDATA="$TEMPDIR/tempdata.$$"
mkdir -p $TEMPMOUNT
trap 'rm -f $TEMPDATA $TEMPSCRIPT ; exit $USCITA' 0


# --- Checks ---
if [ -f /etc/sysconfig/$PROFILE/network ]; then
  . /etc/sysconfig/$PROFILE/network
fi
NETWORKING=no

dialog --title "Configurazione della Rete" --yesno "\nLa tua macchina \
e' connessa in modo permanente ad una rete ?\n" 8 64 2>$TEMPDATA

REPLY=$?
if [ $REPLY -gt 1 ]; then
  echo "Aborting"
  USCITA=2 ; exit 2
fi

# Writing Info
echo "Saving Network settings"
if [ $REPLY  = 0 ]; then
  echo NETWORKING=YES 		>> /etc/sysconfig/$PROFILE/network
  /usr/local/lib/agx-userprofiles/hostname.sh
  if [ $? -eq 0 ]; then
    exec /usr/local/lib/agx-userprofiles/netdevice.sh
  else
    echo "Configurazione della rete annullata !"
    exit 1
  fi
else
  echo NETWORKING=no 		>> /etc/sysconfig/$PROFILE/network
  # Restart perform also initialize !
  /usr/local/sbin/service network restart
fi
USCITA=$REPLY
exit $REPLY
