#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# This file is called by 'dhcpcd' (dhcp client daemon) when it 
# successfully get a IP address from the DHCP server
# It simply put a lock file that is recognized by 
# the "network.service" script to exit from a waiting loop
# 1.0.0 by agx@linux.it 

INTERFACE=`cat /tmp/dhcp_interface`
rm -f /tmp/dhcp_interface
echoc GREEN "Indirizzo DHCP O.K. sull'interfaccia $INTERFACE !" > /dev/console

if [ -f /etc/dhcpc/resolv.conf ]; then
	echo "#Added by dhcp"		>> /etc/resolv.conf
	cat /etc/dhcpc/resolv.conf 	>> /etc/resolv.conf
fi

if [ "$1" = "NO_DHCPCD" ]; then
  echoc GREEN -n "Riutilizzo i vecchi indirizzi DHCP" > /dev/console
else
  > /var/lock/subsys/dhcpcd.$INTERFACE
fi
