#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>


# Kbleds - This enable/disable keyboard leds at startup
# Initiated by AGX in Little Italy Linux 0.351
# ` is generate with ALT+96

# This script is part of "Bad Penguin" - http://www.linux.it/~agx/
# 1999-04-27, Version 1.2.0 by AGX

# --- Temp Script ---
TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPSCRIPT="$TEMPDIR/tempscript.$$"
TEMPDATA="$TEMPDIR/tempdata.$$"
trap 'rm -f $TEMPDATA $TEMPSCRIPT ; exit $USCITA' 0


while [ 0 ]; do

  KNUMLOCK=""
  KCAPSLOCK=""
  if [ -f /etc/sysconfig/$PROFILE/kbleds ]; then
    . /etc/sysconfig/$PROFILE/kbleds
  fi 
  dialog --title "Configure Keyboard Leds State for $PROFILE " --menu "Current State:  $KNUMLOCK  $KCAPSLOCK " 19 69 12 \
    "0" "GO BACK                    " \
    " " "" \
    "1" "Enable  NUM LOCK           " \
    "2" "Enable  CAPS LOCK          " \
    " " "" \
    "3" "Disable NUM LOCK           " \
    "4" "Disable CAPS LOCK          " \
    " " "                           " 2> $TEMPDATA

  REPLY=$?
  if [ $REPLY = 1 -o $REPLY = 255 ]; then
    USCITA=1 ; exit 1
  fi
  
  # Get user choice
  CHOICE="`cat $TEMPDATA`"
  
  # Check user choice
  if [ "$CHOICE" = "1" ]; then
    clear
    echo KNUMLOCK=YES          > /etc/sysconfig/$PROFILE/kbleds
    echo KCAPSLOCK=$KCAPSLOCK >> /etc/sysconfig/$PROFILE/kbleds
    sh /etc/init.d/keyboard-leds.rc start
    sleep 1    
  elif [ "$CHOICE" = "2" ]; then
    clear
    echo KNUMLOCK=$KNUMLOCK > /etc/sysconfig/$PROFILE/kbleds
    echo KCAPSLOCK=YES     >> /etc/sysconfig/$PROFILE/kbleds
    sh /etc/init.d/keyboard-leds.rc start
    sleep 1    
  elif [ "$CHOICE" = "3" ]; then
    clear
    echo KNUMLOCK=NO           > /etc/sysconfig/$PROFILE/kbleds
    echo KCAPSLOCK=$KCAPSLOCK >> /etc/sysconfig/$PROFILE/kbleds
    sh /etc/init.d/keyboard-leds.rc start
    sleep 1    
  elif [ "$CHOICE" = "4" ]; then
    clear
    echo KNUMLOCK=$KNUMLOCK > /etc/sysconfig/$PROFILE/kbleds
    echo KCAPSLOCK=NO      >> /etc/sysconfig/$PROFILE/kbleds
    sh /etc/init.d/keyboard-leds.rc start
    sleep 1
  elif [ "$CHOICE" = "0" ]; then
    break
  fi

done

