#! /bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>

# Abilita o meno le periferiche PCMCIA se le trova sul bus PCI
# 1999-11-07, Version 1.0.0 by AGX

SYSCONFIG="/etc/sysconfig/$PROFILE/pcmcia"
if [ ! -f $SYSCONFIG ]; then
  > $SYSCONFIG
  echo "PCIC=i82365"	>> $SYSCONFIG
  echo "PCIC_OPTS="	>> $SYSCONFIG
  echo "CORE_OPTS="	>> $SYSCONFIG
  echo "CARDMGR_OPTS="	>> $SYSCONFIG
  echo "SCHEME="	>> $SYSCONFIG
  # Scansione bus pci
  grep -q "PCMCIA" /proc/pci  
  if [ $? -ne 0 ]; then
    echoc YELLOW "No PCMCIA controller found on the PCI bus"
    echo "PCMCIA=no"	 >> $SYSCONFIG
    echo "RUNME=MANUAL"   >> $SYSCONFIG    
  else
    echoc YELLOW "Il tuo sistema ha un bus PCMCIA"
    echo "PCMCIA=yes"	 >> $SYSCONFIG  
    echo "RUNME=AUTO"   >> $SYSCONFIG    
    service pcmcia start        
  fi  
fi

#PCIC=i82365 or tcic
